Subject: bug#39112: 27.0.60; gnus-summary-attach-article 'S A' with multiple articles selected repeats latest article

From: Pankaj Jangid <[email-masked]>
Date: Tue, 14 Jan 2020 03:42:37 +0000

Eric Abrahamsen <[email-masked]> writes:

>> That command sets up the message-mode buffer and makes it current
>> before iterating over the articles, so it's unable to actually find
>> the articles and simply repeats the last value of
>> gnus-original-article-buffer.
>
> Okay, that was only right by accident. The real problem was that the
> code inside the iterate was setting the buffer to the message-mode
> buffer. Then the calls to `gnus-summary-select-article' kept
> re-setting to the summary-buffer, but always on the same article.
>
> Anyway, would you test this patch and confirm it fixes the problem?

Just did that. Following observation,

when I process mark multiple items in summary-buffer and move the point
to anything other than the latest marked mail and then press 'S A', the
last mail is not added and the second-last email gets attached twice.

When the point is on the last marked email and then I press 'S A', it
works fine.

Regards,
-- 
Pankaj Jangid